<?php

namespace Drupal\outline_graphql\Plugin\GraphQL\DataProducer\Entry;

use Drupal\Core\Entity\EntityInterface;
use Drupal\graphql\Plugin\GraphQL\DataProducer\DataProducerPluginBase;

/**
 * @DataProducer(
 *   id = "entry_expanded",
 *   name = @Translation("Entry expanded"),
 *   description = @Translation("Returns the expanded setting of an outline entry."),
 *   produces = @ContextDefinition("boolean",
 *     label = @Translation("Expanded")
 *   ),
 *   consumes = {
 *     "entity" = @ContextDefinition("entity",
 *       label = @Translation("Entity")
 *     )
 *   }
 * )
 */
class Expanded extends DataProducerPluginBase {

  /**
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *
   * @return bool
   */
  public function resolve(EntityInterface $entity) {
      $expanded = $entity->getExpanded();
      if(is_null($expanded)){
        $expanded = FALSE;
      }
      return $expanded;
  }

}
