<?php

namespace Drupal\Tests\outline\Unit\Menu;

use Drupal\Tests\Core\Menu\LocalTaskIntegrationTestBase;

/**
 * Tests existence of outline local tasks.
 *
 * @group outline
 */
class OutlineLocalTasksTest extends LocalTaskIntegrationTestBase {

  protected function setUp(): void {
    $this->directoryList = ['outline' => 'core/modules/outline'];
    parent::setUp();
  }

  /**
   * Checks outline edit local tasks.
   *
   * @dataProvider getOutlinePageRoutes
   */
  public function testOutlinePageLocalTasks($route, $subtask = []) {
    $tasks = [
      0 => ['entity.outline_entry.canonical', 'entity.outline_entry.edit_form'],
    ];
    if ($subtask) {
      $tasks[] = $subtask;
    }
    $this->assertLocalTasks($route, $tasks);
  }

  /**
   * Provides a list of routes to test.
   */
  public function getOutlinePageRoutes() {
    return [
      ['entity.outline_entry.canonical'],
      ['entity.outline_entry.edit_form'],
    ];
  }

}
